
%global meadversion 1.4.18
%global namedversion 1.4.18.SP2-redhat-1
%global meadalpha .SP2_redhat_1
%global meadrel .1
%global serial 4
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}undertow}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.4.18.SP2-redhat-1

Name:           %{?scl_prefix}undertow
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Undertow
Group:          Development/Java

%if %with mead
Source100: undertow-parent-1.4.18.SP2-redhat-1-scm-sources.zip
Source102: undertow-parser-generator-1.4.18.SP2-redhat-1-sources.jar
Source103: undertow-parser-generator-1.4.18.SP2-redhat-1.jar
Source104: undertow-parser-generator-1.4.18.SP2-redhat-1.pom
Source105: undertow-websockets-jsr-1.4.18.SP2-redhat-1.pom
Source106: undertow-websockets-jsr-1.4.18.SP2-redhat-1-sources.jar
Source107: undertow-websockets-jsr-1.4.18.SP2-redhat-1.jar
Source108: undertow-core-1.4.18.SP2-redhat-1-tests.jar
Source109: undertow-core-1.4.18.SP2-redhat-1-sources.jar
Source110: undertow-core-1.4.18.SP2-redhat-1.pom
Source111: undertow-core-1.4.18.SP2-redhat-1.jar
Source112: undertow-servlet-1.4.18.SP2-redhat-1-tests.jar
Source113: undertow-servlet-1.4.18.SP2-redhat-1.jar
Source114: undertow-servlet-1.4.18.SP2-redhat-1-sources.jar
Source115: undertow-servlet-1.4.18.SP2-redhat-1.pom
Source116: karaf-1.4.18.SP2-redhat-1-features.xml
Source117: karaf-1.4.18.SP2-redhat-1.pom
Source118: undertow-parent-1.4.18.SP2-redhat-1-project-sources.tar.gz
Source119: undertow-parent-1.4.18.SP2-redhat-1.pom
Source120: undertow-parent-1.4.18.SP2-redhat-1-javadoc.jar
Source121: undertow-dist-1.4.18.SP2-redhat-1.pom
%endif

License:        ASL 2.0
URL:            https://github.com/undertow-io/undertow
Provides:       %{?scl_prefix}undertow-core = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}undertow-servlet = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}undertow-websockets-jsr = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Undertow.

%if %with javadoc
%package javadoc
Summary:        Javadoc for undertow
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n undertow -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/undertow-parser-generator-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-parser-generator-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-parser-generator-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-parser-generator-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-parser-generator-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-parser-generator-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/undertow-core-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/undertow-servlet-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-servlet-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-servlet-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-servlet-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-servlet-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-servlet-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/undertow-websockets-jsr-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-websockets-jsr-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-websockets-jsr-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-websockets-jsr-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-websockets-jsr-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-websockets-jsr-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/undertow-%{namedversion}
unzip -qq %{_sourcedir}/undertow-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/undertow-%{namedversion} -x META-INF/\*
%{__ln_s} undertow-%{namedversion} %{buildroot}%{_javadocdir}/undertow
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}undertow
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.md
%exclude %{_javadir}/undertow-parser-generator-%{namedversion}.jar
%exclude %{_javadir}/undertow-parser-generator.jar
%if %with javadoc
%exclude %{_javadir}/undertow-parser-generator-%{namedversion}-javadoc.jar
%exclude %{_javadir}/undertow-parser-generator-javadoc.jar
%endif
%exclude %{_javadir}/undertow-parser-generator-%{namedversion}-sources.jar
%exclude %{_javadir}/undertow-parser-generator-sources.jar
%{_javadir}/undertow-core-%{namedversion}.jar
%{_javadir}/undertow-core.jar
%if %with javadoc
%{_javadir}/undertow-core-%{namedversion}-javadoc.jar
%{_javadir}/undertow-core-javadoc.jar
%endif
%{_javadir}/undertow-core-%{namedversion}-sources.jar
%{_javadir}/undertow-core-sources.jar
%{_javadir}/undertow-servlet-%{namedversion}.jar
%{_javadir}/undertow-servlet.jar
%if %with javadoc
%{_javadir}/undertow-servlet-%{namedversion}-javadoc.jar
%{_javadir}/undertow-servlet-javadoc.jar
%endif
%{_javadir}/undertow-servlet-%{namedversion}-sources.jar
%{_javadir}/undertow-servlet-sources.jar
%{_javadir}/undertow-websockets-jsr-%{namedversion}.jar
%{_javadir}/undertow-websockets-jsr.jar
%if %with javadoc
%{_javadir}/undertow-websockets-jsr-%{namedversion}-javadoc.jar
%{_javadir}/undertow-websockets-jsr-javadoc.jar
%endif
%{_javadir}/undertow-websockets-jsr-%{namedversion}-sources.jar
%{_javadir}/undertow-websockets-jsr-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/undertow-%{namedversion}
%{_javadocdir}/undertow
%endif

%changelog
* Thu Feb 01 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.4.18-4.SP2_redhat_1.1
- upgrade to 1.4.18.SP2-redhat-1

* Fri Jan 26 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.4.18-3.SP1_redhat_1.1
- upgrade to 1.4.18.SP1-redhat-1

* Tue Sep 05 2017 Petr Sakar <psakar@redhat.com> - 1.4.18-2.Final_redhat_2.1
- upgrade to 1.4.18.Final-redhat-2

* Tue Sep 05 2017 Petr Sakar <psakar@redhat.com> - 1.4.18-2.Final_redhat_2.1
- upgrade to 1.4.18.Final-redhat-2

* Thu Jun 29 2017 Petr Sakar <psakar@redhat.com> - 1.4.18-1.Final_redhat_1.1
- upgrade to 1.4.18.Final-redhat-1

* Tue Jun 27 2017 Petr Sakar <psakar@redhat.com> - 1.4.17-1.Final_redhat_1.1
- upgrade to 1.4.17.Final-redhat-1

* Mon Jun 05 2017 Petr Sakar <psakar@redhat.com> - 1.4.16-1.Final_redhat_1.1
- upgrade to 1.4.16.Final-redhat-1

* Sat May 20 2017 Petr Sakar <psakar@redhat.com> - 1.4.15-1.Final_redhat_1.1
- upgrade to 1.4.15.Final-redhat-1

* Tue May 09 2017 Martin Minar <mminar@redhat.com> - 1.4.14-1.Final_redhat_1.1
- update to version 1.4.14.Final

* Fri Apr 21 2017 Martin Minar <mminar@redhat.com> - 1.4.13-1.Final_redhat_1.1
- update to version 1.4.13.Final

* Mon Apr 03 2017 Petr Sakar <psakar@redhat.com> - 1.4.12-1.Final_redhat_1.1
- upgrade to 1.4.12.Final-redhat-1

* Tue Feb 28 2017 Petr Sakar <psakar@redhat.com> - 1.4.11-1.Final_redhat_1.1
- upgrade to 1.4.11.Final-redhat-1

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 1.4.10-1.Final_redhat_1.1
- upgrade to 1.4.10.Final-redhat-1

* Mon Dec 19 2016 Petr Sakar <psakar@redhat.com> - 1.4.8-1.Final_redhat_1.1
- upgrade to 1.4.8.Final-redhat-1

* Fri Nov 25 2016 Filip Kujikis <fkujikis@redhat.com> - 1.4.6-1.Final_redhat_1.1
- prod build for upstream tag 1.4.6.Final

* Thu Nov 03 2016 Filip Kujikis <fkujikis@redhat.com> - 1.4.4-1.Final_redhat_1.1
- prod build for upstream tag 1.4.4.Final

* Fri Sep 16 2016 Petr Sakar <psakar@redhat.com> - 1.4.3-1.Final_redhat_1.1
- upgrade to 1.4.3.Final-redhat-1

* Tue Aug 09 2016 Petr Sakar <psakar@redhat.com> - 1.4.0-1.Final_redhat_1.1
- upgrade to 1.4.0.Final-redhat-1

* Mon Aug 01 2016 Petr Sakar <psakar@redhat.com> - 1.3.24-1.Final_redhat_1.1
- upgrade to 1.3.24.Final-redhat-1

* Wed Jun 22 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.23-1.Final_redhat_1.1
- Upgrade to 1.3.23.Final

* Thu May 19 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.22-1.Final_redhat_1.1
- Upgrade to 1.3.22.Final

* Thu Apr 07 2016 Paul Gier <pgier@redhat.com> - 1.3.21-1.Final_redhat_1.1
- 1.3.21.Final

* Tue Apr 05 2016 Petr Sakar <psakar@redhat.com> - 1.3.20-1.Final_redhat_1.1
- upgrade to 1.3.20.Final-redhat-1

* Thu Mar 17 2016 Petr Sakar <psakar@redhat.com> - 1.3.19-1.Final_redhat_1.1
- upgrade to 1.3.19.Final-redhat-1

* Sun Feb 21 2016 Petr Sakar <psakar@redhat.com> - 1.3.18-1.Final_redhat_1.1
- upgrade to 1.3.18.Final-redhat-1

* Thu Feb 18 2016 Petr Sakar <psakar@redhat.com> - 1.3.17-1.Final_redhat_1.1
- upgrade to 1.3.17.Final-redhat-1

* Fri Jan 29 2016 Petr Sakar <psakar@redhat.com> - 1.3.16-1.Final_redhat_1.1
- Upgrade to 1.3.16.Final-redhat-1

* Wed Jan 27 2016 Petr Sakar <psakar@redhat.com> - 1.3.15-1.Final_redhat_1.1
- Upgrade to 1.3.15.Final-redhat-1

* Wed Jan 20 2016 Petr Sakar <psakar@redhat.com> - 1.3.14-1.Final_redhat_1.1
- Upgrade to 1.3.14.Final-redhat-1

* Fri Jan 08 2016 Paul Gier <pgier@redhat.com> - 1.3.12-1.Final_redhat_1.1
- 1.3.12.Final rebuild

* Tue Jan 05 2016 Yong Yang <yyang@redhat.com> - 1.3.11-1.Final_redhat_1.1
- 1.3.11.Final-redhat-1

* Mon Dec 07 2015 Paul Gier <pgier@redhat.com> - 1.3.9-1.Final_redhat_1.1
- Upgrade to 1.3.9.Final

* Wed Nov 25 2015 Petr Sakar <psakar@redhat.com> - 1.3.7-1.Final_redhat_1.1
- Upgrade to 1.3.7.Final-redhat-1

* Mon Nov 09 2015 Neil Wallace <nwallace@redhat.com> - 1.3.5-1.Final_redhat_1.1
- Upgrate to 1.3.5.Final

* Tue Nov 03 2015 Fernando Nasser <fnasser@redhat.com> - 1.3.4-1.Final_redhat_1.1
- Upgrade to 1.3.4.Final

* Fri Oct 30 2015 David Walluck <dwalluck@redhat.com> 0:1.3.3-2.Final_redhat_1.1
- remove some artifacts

* Tue Oct 27 2015 Fernando Nasser <fnasser@redhat.com> - 1.3.3-1.Final_redhat_1.1
- Upgrade to 1.3.3.Final

* Fri Aug 28 2015 Fernando Nasser <fnasser@redhat.com> - 1.3.0-3.Beta9_redhat_1.1
- Upgrade to 1.3.0.Beta9

* Fri Aug 28 2015 Yong Yang <yyang@redhat.com> - 1.3.0-2.Beta8_redhat_1.1
- Rebuild

* Fri Jul 31 2015 Hui Wang <huwang@redhat.com> - 1.3.0-1.Beta4_redhat_1.1
- Initial build
